## plasma-integration 6.5.5+p24.04+vstable+git20260130.0804

=== debian/changelog ===
plasma-integration (6.5.5+p24.04+vstable+git20260130.0804-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 08:04:43 +0000

plasma-integration (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:32 +1000

## plasma-integration 6.5.5+p24.04+vstable+git20260131.1328

=== debian/changelog ===
plasma-integration (6.5.5+p24.04+vstable+git20260131.1328-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:28:07 +0000

## plasma-integration 6.5.5+p24.04+vunstable+git20260122.0254

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PlasmaIntegration)
set(PROJECT_VERSION "6.6.80")

set(QT5_MIN_VERSION "5.15.2")
set(QT_MIN_VERSION "6.10.0")
set(KF5_MIN_VERSION "5.102.0")
set(KF6_MIN_VERSION "6.22.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(QT_NO_CREATE_VERSIONLESS_TARGETS ON)
set(QT_NO_CREATE_VERSIONLESS_FUNCTIONS ON)

find_package(ECM ${KF5_MIN_VERSION}  REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} )

# We need this because we can't include KDECMakeSettings here, because that
# would need KDEInstallDirs, which we can only include in the qt{5,6} subdirs
# to get the correct installation dirs for each Qt version.
option(BUILD_TESTING "Build the testing tree." ON)
if(BUILD_TESTING)
    enable_testing()
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)

find_package(Wayland 1.9 REQUIRED Client)
find_package(PlasmaWaylandProtocols 1.6.0 CONFIG REQUIRED)

option(BUILD_QT5 "Build for Qt5" ON)
option(BUILD_QT6 "Build for Qt6" ON)

#CI is stupid and doesn't allow us to set CMAKE options per build variant
if ($ENV{CI_JOB_NAME_SLUG} MATCHES "qt5")
    set(BUILD_QT5 ON)
    set(BUILD_QT6 OFF)
elseif($ENV{CI_JOB_NAME_SLUG} MATCHES "qt6")
    set(BUILD_QT5 OFF)
    set(BUILD_QT6 ON)
endif()

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "https://xcb.freedesktop.org"
    TYPE REQUIRED
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

find_package(FontNotoSans)
set_package_properties(FontNotoSans PROPERTIES
    PURPOSE "Default sans-serif font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontNotoSans=true to mark it ignored."
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)
find_package(FontNotoColorEmoji)
set_package_properties(FontNotoColorEmoji PROPERTIES
    PURPOSE "Default emoji font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontNotoColorEmoji=true to mark it ignored."
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)
find_package(FontHack)
set_package_properties(FontHack PROPERTIES
    PURPOSE "Default monospace font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontHack=true to mark it ignored."
    URL "https://sourcefoundry.org/hack/"
    TYPE RUNTIME
)
find_package(XDGDesktopPortalKDE)
set_package_properties(XDGDesktopPortalKDE PROPERTIES
    PURPOSE "Required for open-with dialog to work correctly -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_XDGDesktopPortalKDE=true to mark it ignored."
    URL "https://invent.kde.org/plasma/xdg-desktop-portal-kde"
    TYPE RUNTIME
)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

if (${BUILD_QT5})
    unset(QUERY_EXECUTABLE CACHE)
    add_subdirectory(qt5)
endif()

if (${BUILD_QT6})
    unset(QUERY_EXECUTABLE CACHE)

    add_definitions(-DTRANSLATION_DOMAIN=\"plasmaintegration5\")
    add_subdirectory(qt6)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-integration (6.5.5+p24.04+vunstable+git20260122.0254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:54:06 +0000

## plasma-integration 6.5.5+p24.04+vunstable+git20260201.0726

=== debian/changelog ===
plasma-integration (6.5.5+p24.04+vunstable+git20260201.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:26:46 +0000

## plasma-integration 6.6.1

=== debian/changelog ===
plasma-integration (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:15:54 +0000

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: breeze-dev (>= 4:6.6.1~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libkf5config-dev (>= 5.102.0~),
               libkf5configwidgets-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5iconthemes-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libkf6colorscheme-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6configwidgets-dev (>= 6.22.0~),
               libkf6guiaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6iconthemes-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6statusnotifieritem-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkf6xmlgui-dev (>= 6.22.0~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~),
               libxcursor-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6.0~),
               qt6-base-dev (>= 6.10.0~),
               qt6-base-dev-tools (>= 6.10.0~),
               qt6-base-private-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-wayland-dev (>= 6.10.0~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools (>= 5.15.2~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Rules-Requires-Root: no

Package: plasma-integration
Architecture: any
Depends: breeze (>= 4:6.2.90~),
         qml6-module-org-kde-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fonts-hack,
            fonts-noto-color-emoji,
            fonts-noto-core,
            fonts-noto-ui-core,
            xdg-desktop-portal-kde,
Enhances: kio6,
Description: Qt Platform Theme integration plugins for KDE Plasma 6
 A plugin to provide Qt Platform Theme integration for the Plasma 6
 workspace.

Package: plasma5-integration
Architecture: any
Depends: breeze (>= 4:5.27.11~),
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fonts-hack, fonts-noto-core, fonts-noto-ui-core,
Enhances: kio,
Breaks: plasma-integration (<< 6.1.0~),
Replaces: plasma-integration (<< 6.1.0~),
Description: Qt Platform Theme integration plugins for KDE Plasma 5
 A plugin to provide Qt Platform Theme integration for the Plasma 5
 workspace.

## plasma-integration 6.6.2

=== debian/changelog ===
plasma-integration (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:24:12 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-Build-Depends: breeze-dev (>= 4:6.6.1~),
+Build-Depends: breeze-dev (>= 4:6.6.2~),
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
